Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class PiePlotter

    java.lang.Object
      |
      +--com.java4less.rchart.ChartComponent
            |
            +--com.java4less.rchart.Plotter
                  |
                  +--com.java4less.rchart.PiePlotter

public class PiePlotter
extends Plotter

    Plotter used to create a pie chart. It only admits DataSeries of type PieDataSerie.

Field Summary
`LineStyle` | `border` style of the border
`boolean` | `drawRadius` if true the radius lines will be displayed.
`boolean` | `effect3D` set it to trie to create a 3D pie
`java.lang.String` | `labelFormat` label format for items in the pie.
`LineStyle` | `labelLine` style of the line used to connect pie and labels
`double` | `radiusModifier` modifies the size of the pie.
`int` | `space` pixels of distance for detached items.

Fields inherited from class com.java4less.rchart.Plotter
`back, backImage, depth, visibleHeight, visibleWidth, XScale, Y2Scale, YScale`

Fields inherited from class com.java4less.rchart.ChartComponent
`height, width, x, y`

Constructor Summary
`PiePlotter()` constructor

Methods inherited from class com.java4less.rchart.Plotter
`addSerie, getCombinable, getNeedsAxis, getSerie, getSeriesCount, plot, plotBackground, replaceSerie, setSerie`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelLine

    public LineStyle labelLine

  style of the line used to connect pie and labels

### radiusModifier

    public double radiusModifier

  modifies the size of the pie. The default value is 1. A value of 0.5 will create a pie half the size of the default.

### border

    public LineStyle border

  style of the border

### drawRadius

    public boolean drawRadius

  if true the radius lines will be displayed.

### effect3D

    public boolean effect3D

  set it to trie to create a 3D pie

### labelFormat

    public java.lang.String labelFormat

  label format for items in the pie. The following variables can be use: #VALUE#, #PERCENTAGE# and #LABEL#. For example, the following format: "#LABEL# = #PERCENTAGE#" would produce this output: "ItemA = 35%".

### space

    public int space

  pixels of distance for detached items.

Constructor Detail

### PiePlotter

    public PiePlotter()

  constructor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD